Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
_fpstate Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
__uint16_t | cwd
__uint16_t | swd
__uint16_t | ftw
__uint16_t | fop
__uint64_t | rip
__uint64_t | rdp
__uint32_t | mxcsr
__uint32_t | mxcr_mask
struct _uc_fpxreg | st [8]
struct _uc_xmmreg | xmm [16]
__uint32_t | padding [24]

## Detailed Description

Definition at line 2015 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ cwd

__uint16_t _fpstate::cwd

Definition at line 2017 of file rb_mjit_min_header-2.7.0.h.

## ◆ fop

__uint16_t _fpstate::fop

Definition at line 2020 of file rb_mjit_min_header-2.7.0.h.

## ◆ ftw

__uint16_t _fpstate::ftw

Definition at line 2019 of file rb_mjit_min_header-2.7.0.h.

## ◆ mxcr_mask

__uint32_t _fpstate::mxcr_mask

Definition at line 2024 of file rb_mjit_min_header-2.7.0.h.

## ◆ mxcsr

__uint32_t _fpstate::mxcsr

Definition at line 2023 of file rb_mjit_min_header-2.7.0.h.

## ◆ padding

__uint32_t _fpstate::padding[24]

Definition at line 2027 of file rb_mjit_min_header-2.7.0.h.

## ◆ rdp

__uint64_t _fpstate::rdp

Definition at line 2022 of file rb_mjit_min_header-2.7.0.h.

## ◆ rip

__uint64_t _fpstate::rip

Definition at line 2021 of file rb_mjit_min_header-2.7.0.h.

## ◆ st

struct _uc_fpxreg _fpstate::st[8]

Definition at line 2025 of file rb_mjit_min_header-2.7.0.h.

## ◆ swd

__uint16_t _fpstate::swd

Definition at line 2018 of file rb_mjit_min_header-2.7.0.h.

## ◆ xmm

struct _uc_xmmreg _fpstate::xmm[16]

Definition at line 2026 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h